unit uPluginRemesasCliente;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCRemesasCliente = interface(IInterface)
  ['{ED6B467B-B6DD-4E2E-8E54-BCEB8FD0A012}']
  end;

  TPluginRemesasCliente = class(TModuleController, IMCRemesasCliente)
    actRemesasCliente: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    N1: TMenuItem;
    RemesasCliente1: TMenuItem;
    procedure actRemesasClienteExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uRemesasClienteController, uBizRemesasCliente, uRemesasClienteViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginRemesasCliente.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginRemesasCliente.actRemesasClienteExecute(Sender: TObject);
var
  ARemesasClienteController : IRemesasClienteController;
  ARemesasCliente : IBizRemesaCliente;

begin
  ARemesasClienteController := TRemesasClienteController.Create;
  ARemesasCliente := (ARemesasClienteController.BuscarTodos as IBizRemesaCliente);
  ARemesasClienteController.VerTodos(ARemesasCliente);
end;

constructor TPluginRemesasCliente.Create(AOwner: TComponent);
begin
  inherited;
  uRemesasClienteViewRegister.RegisterViews;
end;

destructor TPluginRemesasCliente.Destroy;
begin
  uRemesasClienteViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginRemesasCliente);

finalization
  UnRegisterModuleClass(TPluginRemesasCliente);

end.
